Skip to main content

createCspmIntegration

Create a CSPM integration (Prowler engine or aggregator)

createCspmIntegration(
input: CreateCspmIntegrationInput!
): CreateCspmIntegrationPayload

Arguments​

createCspmIntegration.input ● CreateCspmIntegrationInput! non-null input​

Parameters for CreateCspmIntegration

Type​

CreateCspmIntegrationPayload object​

Autogenerated return type of CreateCspmIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateCspmIntegration($input: CreateCspmIntegrationInput!) {\n createCspmIntegration(input: $input) { clientMutationId cspmIntegration { id status cloudAccounts { __typename } } errors }\n}","variables":{"input":{"companyId":1,"tool":"example","mode":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute